#ifndef MDA_LINUX_H
#define MDA_LINUX_H

#if defined __KERNEL__
typedef uint32_t  ui32;
#endif

/* The base name of the device for open */
#define MDAENUM_BASE_NAME  "aslenum"
#define MDADMA_BASE_NAME   "asldma"
#define MDACXP_BASENAME    "aslcxp"

#define MDACXP_TYPE        'X'
#define MDADMA_TYPE        'D'
#define MDAENUM_TYPE       'M'
#define MDASYSTEM_TYPE     'S'

#define MDACXP_FCMIN                   0
#define MDADMA_FCMIN                   0
#define MDASYSTEM_FCMIN                0
#define MDA_SYSTEM_EVENT_QUEUE_FCMIN  ( MDASYSTEM_FCMIN + 0x10 )
#define MDA_SYSTEM_DEBUG_QUEUE_FCMIN  ( MDASYSTEM_FCMIN + 0x20 )
#define MDA_IOCTL_SYSTEM_LOCK_FCMIN   ( MDASYSTEM_FCMIN + 0x30 )
#define MDA_IOCTL_SYSTEM_VARS_FCMIN   ( MDASYSTEM_FCMIN + 0x40 )



#endif /* MDA_LINUX_H */

